de.esprit.common.gui.comp

## Enum TristateBox.TriState

- java.lang.Object
- - java.lang.Enum<TristateBox.TriState>
  - - de.esprit.common.gui.comp.TristateBox.TriState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TristateBox.TriState>
  Enclosing class:
    TristateBox

      protected static enum TristateBox.TriState
      extends java.lang.Enum<TristateBox.TriState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SELECTED`
    `UNDEFINED`
    `UNSELECTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TristateBox.TriState` | `cycleState()`
    `static TristateBox.TriState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TristateBox.TriState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECTED

          public static final TristateBox.TriState SELECTED

    - #### UNSELECTED

          public static final TristateBox.TriState UNSELECTED

    - #### UNDEFINED

          public static final TristateBox.TriState UNDEFINED

  - ### Method Detail

    - #### values

          public static TristateBox.TriState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TristateBox.TriState c : TristateBox.TriState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TristateBox.TriState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### cycleState

          public TristateBox.TriState cycleState()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.